Subject: Re: Re: _open problem using O_EXCL flag and -mno-cygwin
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 16 Dec 2000 09:47:30 -0800 (PST)

--- David Ponce <[email-masked]> wrote:
> Hello,
> 
> "Dan Holmsand" <[email-masked]> gave me the solution:
> 
> >  I saw your post on the cygwin list about O_EXCL trouble with
> >  -mno-cygwin.
> >
> >  I've come across this also, and found (the hard way) that O_EXCL
> >  doesn't play well with O_TRUNC (and after all, logically they are
> >  mutually exclusive).
> 
> >  So, you might want to try without O_TRUNC - and it just might work...
> 
> 
> So if I dont use the O_TRUNC with the O_EXCL flags, _open works well.
> 

Oh, yes I remember this now.  I ran into it years ago and had forgotten.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]